Bug 905752 - Code can not be surrounded by the line totally in PDF
Code can not be surrounded by the line totally in PDF
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
low Severity low
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 00:55 EST by xuezhi ma
Modified: 2014-11-17 21:20 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:47:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
incomplete in PDF (162.25 KB, image/png)
2013-01-30 00:55 EST, xuezhi ma
no flags Details
Complete in html (136.70 KB, image/png)
2013-01-30 00:56 EST, xuezhi ma
no flags Details
xml files (3.31 KB, application/x-gzip)
2013-01-30 02:54 EST, xuezhi ma
no flags Details

  None (edit)
Description xuezhi ma 2013-01-30 00:55:24 EST
Created attachment 690175 [details]
incomplete in PDF

Description of problem:
If I add code to the document from extras/foo.c, the line surround the code can not be displayed totally in PDF, but display well in html, details please see attachment

Version-Release number of selected component (if applicable):
publican-3.1.0-0-el6eng.noarch

How reproducible:
always

Steps to Reproduce:
1. Create en-US/extras/foo.c, add some code in this file.
2. Build the book with PDF and html.
3. Check the line surround the code.
  
Actual results:
The line surround the code can not be displayed totally in PDF, but display well in html.

Expected results:
The line surround the code can not be displayed well in PDF

Additional info:
Comment 1 xuezhi ma 2013-01-30 00:56:19 EST
Created attachment 690176 [details]
Complete in html
Comment 2 Jeff Fearn 2013-01-30 01:32:46 EST
When you open bugs like this please include the XML and the file you used. The screen shot is not enough for us to work with.
Comment 3 xuezhi ma 2013-01-30 02:54:51 EST
Created attachment 690204 [details]
xml files

Hi Jeff,

Please refer to the xml files in attachment, I add code in Chapter 1.1
Comment 4 HSS Product Manager 2013-07-09 00:57:32 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 5 Jeff Fearn 2013-07-09 02:20:58 EDT
To ssh://git.fedorahosted.org/git/publican.git
   94c9c95..33e04d3  HEAD -> devel
Comment 6 Scott Radvan 2013-07-18 20:43:02 EDT
verified that code is properly surrounded by border/shading and is fully visible in pdf

tested multiple pdf viewers

publican-3.1.5-0.fc19.t61.noarch
Comment 7 Jeff Fearn 2013-08-09 00:47:59 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.